.TH BUTCHUR 1 "May 14 1996" "Stanford University" "SUIF Compiler"
.SH NAME
butchur \- cut some procedures out of a SUIF file
.SH SYNOPSIS
.B butchur
[
.I options
]
.B -only
.I procname
{
,
.I procname
}*
.I infile
.I outfile
.sp
.B butchur
[
.I options
]
.B -all-but
.I procname
{
,
.I procname
}*
.I infile
.I outfile
.SH DESCRIPTION
The
.I butchur
program cuts selected procedure and variable definitions out of a SUIF
file.  With the
.B -only
option, butcher includes only the specified definitions in the output
file.  With the
.B -all-but
option, butcher includes all except the specified definitions.
.sp
Note that it is legal to split definitions into different files by
running
.I butchur
multiple times, then eventually link the definitions back together and
run the program.
.I butchur
makes sure the semantics are unchanged.  Anything in the file symbol
table that would have to be shared is automatically moved into the
interfile global symbol table.
.SH OPTIONS
.TP
.B \-keep-unused
This option causes all file and interfile global symbol table object
to be retained, regardless of whether they are still referenced.  The
default is to retain only those symbol table objects that are needed
by procedures that are written out or annotations on global symbols
tables or the file set entry.
.SH HISTORY
This program was written by Chris Wilson.
